Box2D: b2PulleyJointDef Struct Reference

# b2PulleyJointDef Struct Reference

`#include <b2PulleyJoint.h>`

Inheritance diagram for b2PulleyJointDef:

List of all members.

## Public Member Functions

| b2PulleyJointDef ()
void | Initialize (b2Body *bodyA, b2Body *bodyB, const b2Vec2 &groundAnchorA, const b2Vec2 &groundAnchorB, const b2Vec2 &anchorA, const b2Vec2 &anchorB, float32 ratio)
| Initialize the bodies, anchors, lengths, max lengths, and ratio using the world anchors.

## Public Attributes

b2Vec2 | groundAnchorA
| The first ground anchor in world coordinates. This point never moves.
b2Vec2 | groundAnchorB
| The second ground anchor in world coordinates. This point never moves.
b2Vec2 | localAnchorA
| The local anchor point relative to bodyA's origin.
b2Vec2 | localAnchorB
| The local anchor point relative to bodyB's origin.
float32 | lengthA
| The a reference length for the segment attached to bodyA.
float32 | maxLengthA
| The maximum length of the segment attached to bodyA.
float32 | lengthB
| The a reference length for the segment attached to bodyB.
float32 | maxLengthB
| The maximum length of the segment attached to bodyB.
float32 | ratio
| The pulley ratio, used to simulate a block-and-tackle.

## Detailed Description

Pulley joint definition. This requires two ground anchors, two dynamic body anchor points, max lengths for each side, and a pulley ratio.

## Constructor & Destructor Documentation

b2PulleyJointDef::b2PulleyJointDef | ( |  | ) | `[inline]`

## Member Function Documentation

void b2PulleyJointDef::Initialize | ( | b2Body * | bodyA,
|  | b2Body * | bodyB,
|  | const b2Vec2 & | groundAnchorA,
|  | const b2Vec2 & | groundAnchorB,
|  | const b2Vec2 & | anchorA,
|  | const b2Vec2 & | anchorB,
|  | float32 | ratio |
| ) |  |  |

Initialize the bodies, anchors, lengths, max lengths, and ratio using the world anchors.

## Member Data Documentation

b2Vec2 b2PulleyJointDef::groundAnchorA

The first ground anchor in world coordinates. This point never moves.

b2Vec2 b2PulleyJointDef::groundAnchorB

The second ground anchor in world coordinates. This point never moves.

float32 b2PulleyJointDef::lengthA

The a reference length for the segment attached to bodyA.

float32 b2PulleyJointDef::lengthB

The a reference length for the segment attached to bodyB.

b2Vec2 b2PulleyJointDef::localAnchorA

The local anchor point relative to bodyA's origin.

b2Vec2 b2PulleyJointDef::localAnchorB

The local anchor point relative to bodyB's origin.

float32 b2PulleyJointDef::maxLengthA

The maximum length of the segment attached to bodyA.

float32 b2PulleyJointDef::maxLengthB

The maximum length of the segment attached to bodyB.

float32 b2PulleyJointDef::ratio

The pulley ratio, used to simulate a block-and-tackle.

The documentation for this struct was generated from the following files:

- Box2D/Box2D/Dynamics/Joints/b2PulleyJoint.h
- Box2D/Box2D/Dynamics/Joints/b2PulleyJoint.cpp